using System;
using ZR.Model;
using System.Collections.Generic;
using ZR.Model.Dto.OutStore;
using ZR.Model.Models.OutStore;

namespace ZR.Service.Business.IBusinessService.OutStore
{
    /// <summary>
    /// 出库管理/出库记录表service接口
    ///
    /// @author admin
    /// @date 2023-04-18
    /// </summary>
    public interface IOutOutstoreRecordService : IBaseService<OutOutstoreRecord>
    {
        PagedInfo<OutOutstoreRecordDto> GetList(OutOutstoreRecordQueryDto parm, bool isPdaQuery = false);

        int AddOutOutstoreRecord(OutOutstoreRecord parm);

        int UpdateOutOutstoreRecord(OutOutstoreRecord parm);

        void TruncateOutOutstoreRecord();
    }
}
